Bug 138300 - up2date fails badly when /tmp is full
Summary: up2date fails badly when /tmp is full
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-07 20:42 UTC by Rahul Sundaram
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:14:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2004-11-07 20:42:09 UTC
Description of problem:

up2date fails if /tmp is full

Version-Release number of selected component (if applicable):

up2date-4.2.38-1.
How reproducible:

always


Steps to Reproduce:
1. run up2date when space is full on /tmp

Actual results:

rpmdb: write: 0xb6032958, 8192: No space left on device
rpmdb: temporary: write failed for page 0
rpmdb: write: 0xb6022050, 8192: No space left on device
rpmdb: temporary: write failed for page 2
rpmdb: write: 0xb6022050, 8192: No space left on device
rpmdb: temporary: write failed for page 2
rpmdb: write: 0xb6032958, 8192: No space left on device
rpmdb: temporary: write failed for page 0

....

Expected results:

should inform that user that space is not available as a clear error
message

Additional info:

Comment 1 Todd Warner 2006-03-06 16:24:50 UTC
This error message is coming from RPM. Not from up2date. Re-aligning the bug.

Comment 2 Jeff Johnson 2006-04-04 11:26:28 UTC
But the request is for up2date, not rpm, to provide a better error message.
Why do you expect rpm to provide an up2date error message? Is there some
reason why the up2date application cannot estimate its own disk space usage? There are
definite reasons why a library like rpmlib cannot provide simple and clean error
messages.

Comment 3 Red Hat Bugzilla 2007-08-21 05:19:09 UTC
User pnasrat@redhat.com's account has been closed

Comment 4 RHEL Product and Program Management 2007-10-19 19:14:48 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.